{% extends 'SonataAdminBundle::standard_layout.html.twig' %}
{% block javascripts %}
    {{ parent() }}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.bundle.min.js"></script>
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('bundles/trillala/css/analytics.css') }}">
{% endblock %}

{% block sonata_sidebar_search %}
{% endblock %}

{% block sonata_page_content %}

    <div style="margin-top: 32px"></div>
    <div class="container-2">
        <div class="row">
            <div class="col-sm-12">
                <div class="col-lg-3 col-sm-6">
                    <div class="circle-tile">
                        <a href="#">
                            <div class="circle-tile-heading red">
                                <i class="fa fa-shopping-cart fa-fw fa-3x"></i>
                            </div>
                        </a>
                        <div class="circle-tile-content red">
                            <div class="circle-tile-description text-faded">
                                Orders
                            </div>
                            <div class="circle-tile-number text-faded">
                                0
                                <span id="sparklineC"></span>
                            </div>
                            <a href="#" class="circle-tile-footer">More Info <i class="fa fa-chevron-circle-right"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-sm-6">
                    <div class="circle-tile">
                        <a href="{{ path('admin_trillala_settings_list') }}">
                            <div class="circle-tile-heading dark-blue">
                                <i class="fa fa-users fa-fw fa-3x"></i>
                            </div>
                        </a>
                        <div class="circle-tile-content dark-blue">
                            <div class="circle-tile-description text-faded">
                                Users
                            </div>
                            <div class="circle-tile-number text-faded">
                                {{ allUsersNum }}
                                <span id="sparklineA"></span>
                            </div>
                            <a href="{{ path('admin_trillala_settings_list') }}" class="circle-tile-footer">More Info <i
                                        class="fa fa-chevron-circle-right"></i></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-sm-6">
                    <div class="circle-tile">
                        <a href="#">
                            <div class="circle-tile-heading green">
                                <i class="fa fa-money fa-fw fa-3x"></i>
                            </div>
                        </a>
                        <div class="circle-tile-content green">
                            <div class="circle-tile-description text-faded">
                                Revenue
                            </div>
                            <div class="circle-tile-number text-faded">
                                {{ revenue }}
                            </div>
                            <a href="{{ path('admin_trillala_revenue_list') }}" class="circle-tile-footer">More Info <i class="fa fa-chevron-circle-right"></i></a>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-sm-6">
                    <div class="circle-tile">
                        <a href="#">
                            <div class="circle-tile-heading purple">
                                <i class="fa fa-comments fa-fw fa-3x"></i>
                            </div>
                        </a>
                        <div class="circle-tile-content purple">
                            <div class="circle-tile-description text-faded">
                                Messages
                            </div>
                            <div class="circle-tile-number text-faded">
                                {{ allMessagesNum }}
                                <span id="sparklineD"></span>
                            </div>
                            <a href="#messages-section" class="circle-tile-footer">More Info <i
                                        class="fa fa-chevron-circle-right"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>



    <div class="row">
        <div class="row" style="border-bottom: 2px solid rgba(255, 99, 132, 0.2)">
            <h1 class="text-center" style="color:rgba(54, 162, 235, 1)"> There are {{ allUsersNum }} Users
                Registered </h1>
        </div>
        <div class="col-sm-4">

            <canvas id="gender" width="200" height="200"></canvas>

            <div class="row text-center">
                <p># Of Users</p>
            </div>
        </div>
        <div class="col-sm-4">

            <canvas id="activeLastDay" width="200" height="200"></canvas>

            <div class="row text-center">
                <p># of Users Active Last 24H</p>
            </div>
        </div>
        <div class="col-sm-4">
            <canvas id="region" width="200" height="200"></canvas>
            <div class="row text-center">
                <p># of Users In different Regions</p>
            </div>
        </div>
    </div>

    <div class="row" style="border-bottom: 2px solid rgba(255, 99, 132, 0.2); margin: 10px 20px"></div>

    <div class="row">
        <div class="col-sm-8">
            <canvas id="userslastmonth" width="200" height="90"></canvas>
            <div class="row text-center">
                <p># of Users Registered In each month</p>
            </div>
        </div>

        <div class="col-sm-4 text-center" style="border-left: 2px solid rgba(255, 99, 132, 0.2)">
            <h3> Top 7 conversations </h3>
            <table class="table table-hover text-center">
                <tr>
                    <th>#</th>
                    <th>Username</th>
                    <th># of Conversation</th>
                </tr>
                {% for user in topTenConversationUsers %}
                    <tr>
                        <td>{{ loop.index }}</td>
                        <td>{{ user.username }}</td>
                        <td>{{ user.conversationNum }}</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>

    <div class="row" style="border-bottom: 2px solid rgba(255, 99, 132, 0.2); margin: 10px 20px"></div>

    <div id="messages-section" class="row" style="border-bottom: 2px solid rgba(255, 99, 132, 0.2)">
        <h2 style="color:#41a4ea" class="text-center">Messages Section</h2>
        <div class="col-sm-8">

            <canvas id="messages" width="200" height="90"></canvas>

            <div class="row text-center">
                <p># Of Messages</p>
            </div>
        </div>

        <div class="col-sm-4 text-center" style="border-left: 2px solid rgba(255, 99, 132, 0.2)">
            <h3> Top 7 messages </h3>
            <table class="table table-hover text-center">
                <tr>
                    <th>#</th>
                    <th>Username</th>
                    <th># of Messages</th>
                </tr>
                {% for user in topTenMessagesUsers %}
                    <tr>
                        <td>{{ loop.index }}</td>
                        <td>{{ user.username }}</td>
                        <td>{{ user.messnum }}</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>





    <script>
        var messages = document.getElementById("messages").getContext('2d');
        var myChart = new Chart(messages, {
            type: 'line',
            data: {
                labels: '{{ messageDates }}'.split(','),
                datasets: [{
                    label: '# of Sent Messages',
                    data: [{{ countMessage }}],
                    backgroundColor: [
                        'rgba(231, 76, 60, 0.2)',
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                    ],
                    borderColor: [
                        'rgba(231, 76, 60, 1)',
                        'rgba(255,99,132,1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }]
                }
            }
        });
    </script>



    <script>
        var userslastmonth = document.getElementById("userslastmonth").getContext('2d');
        var myChart = new Chart(userslastmonth, {
            type: 'line',
            data: {
                labels: '{{ registerDates }}'.split(','),
                datasets: [{
                    label: '# of Registered Users',
                    data: [{{ registerCountUsers }}],
                    backgroundColor: [
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                    ],
                    borderColor: [
                        'rgba(54, 162, 235, 1)',
                        'rgba(255,99,132,1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }]
                }
            }
        });
    </script>



    <script>
        var region = document.getElementById("region").getContext('2d');
        var myChart = new Chart(region, {
            type: 'pie',
            data: {
                labels: '{{ countriesByRegion }}'.split(','),
                datasets: [{
                    label: '# of Users In different Regions',
                    data: [{{ usersByRegion }}],
                    backgroundColor: [
                        '#e74c3c',
                        '#34495e',
                        '#35a085',
                        '#8e44ad',
                        'rgba(75, 192, 192, 1)',
                        'rgba(255, 206, 86, 1)',
                    ],
                }]
            }
        });
    </script>





    <script>
        var activeLastDay = document.getElementById("activeLastDay").getContext('2d');
        var myChart = new Chart(activeLastDay, {
            type: 'pie',
            data: {
                labels: ["Active", "Not Active"],
                datasets: [{
                    label: '# of Users Active Last 24H',
                    data: [{{ activeLastDay }}],
                    backgroundColor: [
                        '#e74c3c',
                        '#34495e',
                        '#35a085',
                        '#8e44ad'
                    ],
                }]
            }
        });
    </script>

    <script>
        var gender = document.getElementById("gender").getContext('2d');
        var myChart = new Chart(gender, {
            type: 'pie',
            data: {
                labels: ["Male", "Female", "Other"],
                datasets: [{
                    label: '# of Users',
                    data: [{{ usersByGender }}],
                    backgroundColor: [
                        '#e74c3c',
                        '#34495e',
                        '#35a085',
                        '#8e44ad'
                    ],
                }]
            }
        });
    </script>
{% endblock %}
